Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.remote
Class SyncMessage

    java.lang.Object
      org.apache.cayenne.remote.SyncMessage

All Implemented Interfaces:
  Serializable, ClientMessage

    public class SyncMessage

extends Object
implements ClientMessage

A message used for synchronization of the child with parent. It defines a few types of synchronization: "flush" (when the child sends its changes without a commit), "commit" (cascading flush with ultimate commit to the database), and "rollback" - cascading reverting of all uncommitted changes.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected GraphDiff` | `senderChanges`
`protected ObjectContext` | `source`
`protected int` | `type`

Constructor Summary
`SyncMessage(ObjectContext source, int syncType, GraphDiff senderChanges)`

Method Summary
`GraphDiff` | `getSenderChanges()`
`ObjectContext` | `getSource()` Returns a source of SyncMessage.
`int` | `getType()`
`String` | `toString()` Returns a description of the type of message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### source

    protected transient ObjectContext source

### type

    protected int type

### senderChanges

    protected GraphDiff senderChanges

Constructor Detail

### SyncMessage

    public SyncMessage(ObjectContext source,
                       int syncType,
                       GraphDiff senderChanges)

Method Detail

### getSource

    public ObjectContext getSource()

  Returns a source of SyncMessage.

### getType

    public int getType()

### getSenderChanges

    public GraphDiff getSenderChanges()

### toString

    public String toString()

  Returns a description of the type of message. Possibilities are "flush-sync", "flush-cascade-sync", "rollback-cascade-sync" or "unknown-sync".

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.